# MS-Connector v1.6.1 Release vom 24.10.2024

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Bugfix
      - MDS Datenvalidierung bei Matching mit ID Austria auf 'equalsIgnoreCase' geändert
      - Vereinzelnt fehlerhafter Zeitstempel bei ERnP Update Requests behoben
  - Diverse kleinere UX Anpassungen / Optimierungen / Fehlerbehebungen
  - Logging optimiert
  - Aktualisierung von Drittherstellerbibliotheken
    - eIDAS Node Referenze Implementierung v2.8.1
    - Spring-Framework 5.3.39
    - jackson 2.18.0
    - Apache CXF 3.5.9
    - guava 33.3.1-jre
    - commons-io 2.17.0
    - joda-time 2.13.0


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.6.1. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.6.0 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an
2. Entpacken Sie das Releasepacket *ms_specific_connector-1.6.1-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.
3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers
4. Update bestehender Dateien . Die nachfolgenden Dateien wurden geändert und erfordern eine Anpassung oder eine Übernahme dem Releasepacket, sofern die Anpassung nicht bereits durchgeführt wurde
   
   * Übernahme Textänderungen: __MsConnectorPackage__/config/properties/*
   
     
